function areaLevle(areaCode) {
    var str = areaCode.toString()
    if (str.length === 6) {
        if (str.substr(str.length - 4) === "0000") return 'province'
        if (str.substr(str.length - 2) === "00" || str.slice(2, 4) == '90') return 'city'
        return 'county'
    } else if (str.length === 9) {
        return 'town'
    } else if (str.length === 12) {
        return 'village'
    } else {
        throw new Error(
            'ssview ui 使用异常提示：【ss-area】 code属性传入了无效值'
        )

    }

}

function levelNum(lv) {
    switch (lv) {
        case 'province':
            return 1
        case 'city':
            return 2
        case 'county':
            return 3
        case 'town':
            return 4
        case 'village':
            return 5
        default:
            return 1000
    }
}

function level(areaCode, area) {
    if (levelNum(area) <= levelNum(areaLevle(areaCode))) {
        throw new Error(
            'ssview ui 使用异常提示：【ss-area】 设定的下级行政区划不能与本级行政区划同级或更高级'
        )
    }
    return levelNum(area) - levelNum(areaLevle(areaCode))

}
export default level